Bug 523984

Summary: Multilib conflict while updating
Product: [Fedora] Fedora Reporter: Jaroslav Reznik <jreznik>
Component: gobject-introspectionAssignee: Colin Walters <walters>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: davidz, otaylor, phil, walters
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-05 06:22:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jaroslav Reznik 2009-09-17 13:48:19 UTC
Description of problem: while trying update polkit (both i686 and x86_64 packages), it leads to /usr/share/gir-1.0/Polkit-1.0.gir file conflict between packages.


Version-Release number of selected component (if applicable):
polkit-devel-0.95-0.git20090913.2.fc12.i686 and polkit-devel-0.95-0.git20090913.2.fc12.x86_64

Steps to Reproduce:
1. yum update
  
Actual results:
Transaction Check Error:
  file /usr/share/gir-1.0/Polkit-1.0.gir conflicts between attempted installs of polkit-devel-0.95-0.git20090913.2.fc12.i686 and polkit-devel-0.95-0.git20090913.2.fc12.x86_64

Expected results:
No conflict.

Additional info:

Comment 1 David Zeuthen 2009-10-07 19:34:52 UTC
Seems to be a gobject-introspection problem. Reassigning

$ diff -u Polkit-1.0.gir\ \(i686\) Polkit-1.0.gir\ \(x86_64\) 
--- Polkit-1.0.gir (i686)	2009-10-07 15:29:31.000000000 -0400
+++ Polkit-1.0.gir (x86_64)	2009-10-07 15:30:03.000000000 -0400
@@ -1291,8 +1291,8 @@
            glib:type-name="PolkitUnixSession"
            glib:get-type="polkit_unix_session_get_type"
            glib:type-struct="UnixSessionClass">
-      <implements name="Gio.Initable"/>
       <implements name="Subject"/>
+      <implements name="Gio.Initable"/>
       <implements name="Gio.AsyncInitable"/>
       <constructor name="new" c:identifier="polkit_unix_session_new">
         <return-value transfer-ownership="full">

Comment 2 Bug Zapper 2009-11-16 12:33:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Philippe Troin 2010-06-09 00:16:20 UTC
The bug is still present in F13:

Transaction Check Error:
  file /usr/bin/g-ir-scanner from install of gobject-introspection-devel-0.6.9-3.fc13.i686 conflicts with file from package gobject-introspection-devel-0.6.9-3.fc13.x86_64
  file /usr/share/gir-1.0/GLib-2.0.gir from install of gobject-introspection-devel-0.6.9-3.fc13.i686 conflicts with file from package gobject-introspection-devel-0.6.9-3.fc13.x86_64

Comment 4 Bug Zapper 2010-11-04 09:57:27 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-05 06:22:37 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.